Subject: RE: bug#29321: Isearch hit count

From: Drew Adams <[email-masked]>
Date: Mon, 29 Oct 2018 20:47:54 -0700 (PDT)

Here's another hypothesis for losing the count in the
prompt.  It might also explain why it's easier in my
code, which is slower, to lose the prompt.

It's harder to lose the count in vanilla Emacs with
your file, but with my version (my code) I can lose
it quite easily by doing this:

Repeat searching so fast (hold down the key) that
Isearch does not bother to lazy-highlight each hit -
it just moves forward to the next match each time,
rapidly, skipping lazy highlighting (because there
is no time to lazy highlight - all effort is spent
on moving to the next match).

When I do that, in my (slower) code, the count is
lost from the prompt, pretty consistently.  And
even if I then slow down it does not come back.
Eventually it might come back.  And changing
direction also seems to be a time when it can get
lost.

Dunno whether this info helps, especially because
I see the problem much more with my own version.
It's harder to repro it for vanilla Emacs (just
your file).

Thx - Drew